Home Forums HDP on Linux – Installation HDP 2.x installation Faild in Confirm Hosts Step

This topic contains 8 replies, has 2 voices, and was last updated by  Mohammed Mohammed 6 months, 1 week ago.

  • Creator
    Topic
  • #51501

    Mohammed Mohammed
    Participant

    Hello Everyone !

    I Have a problem with the installation, i can’t find the issue.

    I will try to explain as i can the problem.

    i follow the installation guide with one master and 3 slave

    everything go fin until the host confirmation step in Ambari web interface :

    The error log is :

    STDERR
    scp /usr/lib/python2.6/site-packages/ambari_server/setupAgent.py done for host master.devcluster, exitcode=0
    Copying files finished
    Running setup agent…
    STDOUT
    Error: No matching Packages to list
    Error: No matching Packages to list
    {‘exitstatus': 1, ‘log': (”, None)}

    i dont know why they can’t find package i check rep and everything looks fine.

    can you help me !

    thank you guys

Viewing 8 replies - 1 through 8 (of 8 total)

You must be logged in to reply to this topic.

  • Author
    Replies
  • #51779

    Mohammed Mohammed
    Participant

    Hi thank you

    1) i did yum install ambari-agent i just I misspelled in my post (so same result no package)
    2) i did the change in /etc/sudoers But nothing same error (i did yum clean all and yum repolist to refresh repo)

    Any Idea

    Thank you

    Collapse
    #51778

    Jeff Sposetti
    Moderator

    Alright. Looks like a couple type-Os..

    1) When you run “yum install ambari-agent” below, looks like misspelt ambari (not amabri-agent)
    2) My type-o, you should look in more /etc/sudoers file (not suders)
    3) the repo file looks good and the repolist looks good. so please check again with #1 and #2 and the spelling changes.

    Collapse
    #51777

    Mohammed Mohammed
    Participant

    Hi Jeff,

    1) This is the content of Amabri.Repo

    -=======================================
    ========================================
    [ambari-1.x]
    name=Ambari 1.x
    baseurl=http://public-repo-1.hortonworks.com/ambari/centos6/1.x/GA
    gpgcheck=1
    gpgkey=http://public-repo-1.hortonworks.com/ambari/centos6/RPM-GPG-KEY/RPM-GPG-KEY-Jenkins
    enabled=1
    priority=1

    [HDP-UTILS-1.1.0.16]
    name=Hortonworks Data Platform Utils Version – HDP-UTILS-1.1.0.16
    baseurl=http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.16/repos/centos6
    gpgcheck=0
    gpgkey=http://public-repo-1.hortonworks.com/ambari/centos6/RPM-GPG-KEY/RPM-GPG-KEY-Jenkins
    enabled=1
    priority=1

    [Updates-ambari-1.5.0]
    name=ambari-1.5.0 – Updates
    baseurl=http://public-repo-1.hortonworks.com/ambari/centos6/1.x/updates/1.5.0
    gpgcheck=1
    gpgkey=http://public-repo-1.hortonworks.com/ambari/centos6/RPM-GPG-KEY/RPM-GPG-KEY-Jenkins
    enabled=1
    priority=1

    -=======================================
    =======================================

    2) When i try yum install amabri-agent

    ============================================
    7 packages excluded due to repository priority protections
    Setting up Install Process
    No package ambari-agent available.
    Error: Nothing to do

    ============================================

    When i do yum repolist

    HDP-UTILS-1.1.0.16
    HDP-UTILS-1.1.0.16/primary_db
    Updates-ambari-1.5.0
    Updates-ambari-1.5.0/primary_db
    ambari-1.x
    ambari-1.x/primary
    ambari-1.x
    base
    base/primary_db
    extras
    extras/primary_db
    =========================================================
    3 ) i dont have /etc/suders file in my installation

    NB:
    i use centos 6.5

    Thanks

    Collapse
    #51712

    Jeff Sposetti
    Moderator

    1) can you paste the contents of your ambari.repo file?
    2) if you run yum install ambari-agent, does agent install?
    3) can you check your /etc/suders file. Is “requiretty” set? Can you comment that out?

    #Defaults requiretty

    Collapse
    #51682

    Mohammed Mohammed
    Participant

    Hi jeff,

    I used the link and follow the installation guide but i get the same error in the confirm hosts Step :

    ==========================
    Running setup agent script…
    ==========================
    Error: No matching Packages to list
    Error: No matching Packages to list
    {‘exitstatus': 1, ‘log': (”, None)}

    Connection to master.devcluster closed.
    SSH command execution finished
    host=master.devcluster, exitcode=1

    ERROR: Bootstrap of host master.devcluster fails because previous action finished with non-zero exit code (1)
    ERROR MESSAGE: tcgetattr: Invalid argument
    Connection to master.devcluster closed.

    STDOUT: Error: No matching Packages to list
    Error: No matching Packages to list
    {‘exitstatus': 1, ‘log': (”, None)}

    do you have any idea ?

    Thank you in advance !

    Collapse
    #51548

    Jeff Sposetti
    Moderator

    Hi, Just so you are using the latest, can you start with Ambari 1.5.0 (using the install guide in docs)?

    http://docs.hortonworks.com/HDPDocuments/Ambari-1.5.0.0/index.html

    Can you paste the contents of your ambari.repo file from your Ambari Server?

    Collapse
    #51547

    Mohammed Mohammed
    Participant

    Hi Jeff,

    I use Ambari 1.4

    I followed the installation guide i think it’s the version available in amabri repo used in the guide

    Thank you

    Collapse
    #51541

    Jeff Sposetti
    Moderator

    Can you confirm what version of ambari you are using? The latest is here:

    http://docs.hortonworks.com/HDPDocuments/Ambari-1.5.0.0/index.html

    Are all hosts failing to register and you see that error on all hosts? Are you using public repositories or a local repository?

    Collapse
Viewing 8 replies - 1 through 8 (of 8 total)